package org.apache.commons.lang3.time;

package .tmp;

import java.io.IOException;
import java.util.Calendar;
import org.apache.commons.lang3.time.FastDatePrinter;

class UnpaddedNumberField implements FastDatePrinter.NumberRule {
  private final int mField;
  
  UnpaddedNumberField(int field) {
    this.mField = field;
  }
  
  public int estimateLength() {
    return 4;
  }
  
  public void appendTo(Appendable buffer, Calendar calendar) throws IOException {
    appendTo(buffer, calendar.get(this.mField));
  }
  
  public final void appendTo(Appendable buffer, int value) throws IOException {
    if (value < 10) {
      buffer.append((char)(value + 48));
    } else if (value < 100) {
      FastDatePrinter.access$000(buffer, value);
    } else {
      FastDatePrinter.access$100(buffer, value, 1);
    } 
  }
}
